import { Accessor } from "solid-js";
import { Store } from "solid-js/store";
import { Snowflake, SnowflakeConfig } from "./Snowflake";
/**
 * A utility hook to manage creating and updating a collection of snowflakes
 * @param canvasRef A ref to the canvas element
 * @param amount The number of snowflakes
 * @param config The configuration for each snowflake
 */
export declare const createSnowFlakes: (canvasRef: Accessor<HTMLCanvasElement>, amount: Accessor<number>, config: Store<SnowflakeConfig>) => Accessor<Snowflake[]>;
/**
 * Returns the height and width of a HTML element, uses the `ResizeObserver` api if available to detect changes to the
 * size. Falls back to listening for resize events on the window.
 * @param ref A ref to the HTML element to be measured
 */
export declare const createComponentSize: (ref: Accessor<HTMLElement>) => Accessor<{
    height: number;
    width: number;
}>;
